curl --request GET \
--url 'https://api.stateset.com/api/v1/warranties' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"total": 1,
"warranties": [
{
"created_at": "string",
"id": "string",
"order_id": "string",
"product_id": "string",
"status": "string",
"warranty_number": "string",
"warranty_type": "string"
}
]
}
List warranties
List warranties
GET
/
api
/
v1
/
warranties
curl --request GET \
--url 'https://api.stateset.com/api/v1/warranties' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"total": 1,
"warranties": [
{
"created_at": "string",
"id": "string",
"order_id": "string",
"product_id": "string",
"status": "string",
"warranty_number": "string",
"warranty_type": "string"
}
]
}
Query parameters
integer (int32)
integer (int32)
string
string
Responses
WarrantyListResponse
curl --request GET \
--url 'https://api.stateset.com/api/v1/warranties' \
--header 'Authorization: Bearer YOUR_API_KEY'
{
"total": 1,
"warranties": [
{
"created_at": "string",
"id": "string",
"order_id": "string",
"product_id": "string",
"status": "string",
"warranty_number": "string",
"warranty_type": "string"
}
]
}
⌘I